clang-tools 6.0.0

Classes | Functions
clang::tidy::fuchsia Namespace Reference

## Classes
class | DefaultArgumentsCheck
| Default arguments are not allowed in declared or called functions. More...
class | FuchsiaModule
| This module is for Fuchsia-specific checks. More...
class | OverloadedOperatorCheck
| Overloading operators is disallowed by the Fuchsia coding standard. More...
class | VirtualInheritanceCheck
| Defining classes with virtual inheritance is disallowed. More...

## Functions
static ClangTidyModuleRegistry::Add< FuchsiaModule > | X ("fuchsia-module", "Adds Fuchsia platform checks.")
| AST_MATCHER (FunctionDecl, isFuchsiaOverloadedOperator)
| AST_MATCHER (CXXRecordDecl, hasDirectVirtualBaseClass)

## Function Documentation

## ◆ AST_MATCHER() [1/2]

clang::tidy::fuchsia::AST_MATCHER | ( | FunctionDecl | ,
|  | isFuchsiaOverloadedOperator |
| ) |  |

Definition at line 18 of file OverloadedOperatorCheck.cpp.

## ◆ AST_MATCHER() [2/2]

clang::tidy::fuchsia::AST_MATCHER | ( | CXXRecordDecl | ,
|  | hasDirectVirtualBaseClass |
| ) |  |

Definition at line 20 of file VirtualInheritanceCheck.cpp.

## ◆ X()

static ClangTidyModuleRegistry::Add<FuchsiaModule> clang::tidy::fuchsia::X | ( | "fuchsia-module" | ,
|  | "Adds Fuchsia platform checks." |
| ) |  |
| static